#define TYPE float

#define TYPE_NAME(NAME)  NAME ## TYPE

extern int nb_threads;
extern size_t length;
extern int repetitions;
extern int verbose;

extern int helper_parse_arguments(int argc, char* argv[] );
extern int helper_print_time(long* array);
extern void TYPE_NAME(helper_init_array_)(TYPE* array, size_t length);
extern TYPE* TYPE_NAME(helper_build_array_)(size_t length);

extern double compute_mean(long* array, size_t length);
extern double compute_std(long* array, size_t length);
